##############################################################################
#
# Enfold Stage Deployment - Remote Deployment of Staged Content
# Copyright (C) 2005 Enfold Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##############################################################################
"""
$Id: __init__.py 3534 2005-12-02 21:16:39Z arunyan $
"""

from AccessControl import ModuleSecurityInfo
from Products.CMFCore.DirectoryView import registerDirectory

# Make sure installer imports
from Products.StageDeployment.Extensions import Install as _Install
del _Install

# Register skin directories
registerDirectory('skins', globals())

def initialize(context):
    from Products.StageDeployment import event
    from Products.StageDeployment import patch
    from Products.StageDeployment import subscriber

    msi = ModuleSecurityInfo('Products.StageDeployment.utils')
    msi.declarePublic('getTargetAddress')
    msi.declarePublic('getDeploymentsInfo')
    msi.declarePublic('entransitOnPath')

    msi = ModuleSecurityInfo('Products.StageDeployment.event')
    msi.declarePublic('deployLabelEvent')

